gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.CrossFadeNode

Contents

- Exported types
- Methods
  - getEndChild
  - getProgress
  - getStartChild
  - new

Description

A render node cross fading between two child nodes.

Synopsis

- newtype CrossFadeNode = CrossFadeNode (ManagedPtr CrossFadeNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf CrossFadeNode o) => IsCrossFadeNode o
- toCrossFadeNode :: (MonadIO m, IsCrossFadeNode o) => o -> m CrossFadeNode
- crossFadeNodeGetEndChild :: (HasCallStack, MonadIO m, IsCrossFadeNode a) => a -> m RenderNode
- crossFadeNodeGetProgress :: (HasCallStack, MonadIO m, IsCrossFadeNode a) => a -> m Float
- crossFadeNodeGetStartChild :: (HasCallStack, MonadIO m, IsCrossFadeNode a) => a -> m RenderNode
- crossFadeNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a, IsRenderNode b) => a -> b -> Float -> m CrossFadeNode

# Exported types

newtype CrossFadeNode Source #

Memory-managed wrapper type.

Constructors

CrossFadeNode (ManagedPtr CrossFadeNode) |

#### Instances

Instances details

Eq CrossFadeNode Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode Methods (==) :: CrossFadeNode -> CrossFadeNode -> Bool Source # (/=) :: CrossFadeNode -> CrossFadeNode -> Bool Source #
BoxedPtr CrossFadeNode Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode Methods boxedPtrCopy :: CrossFadeNode -> IO CrossFadeNode Source # boxedPtrFree :: CrossFadeNode -> IO () Source #
ManagedPtrNewtype CrossFadeNode Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode Methods toManagedPtr :: CrossFadeNode -> ManagedPtr CrossFadeNode Source #
TypedObject CrossFadeNode Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode Methods glibType :: IO GType Source #
HasParentTypes CrossFadeNode Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode
type ParentTypes CrossFadeNode Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode type ParentTypes CrossFadeNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf CrossFadeNode o) => IsCrossFadeNode o Source #

Type class for types which can be safely cast to `CrossFadeNode`, for instance with `toCrossFadeNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf CrossFadeNode o) => IsCrossFadeNode o Source # |
Instance details Defined in GI.Gsk.Objects.CrossFadeNode

toCrossFadeNode :: (MonadIO m, IsCrossFadeNode o) => o -> m CrossFadeNode Source #

Cast to `CrossFadeNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getEndChild, getNodeType, getOpaqueRect, getProgress, getStartChild.

#### Setters

None.

## getEndChild

crossFadeNodeGetEndChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsCrossFadeNode a) |
=> a | `node`: a cross-fading `GskRenderNode`
-> m RenderNode | Returns: a `GskRenderNode`

Retrieves the child `GskRenderNode` at the end of the cross-fade.

## getProgress

crossFadeNodeGetProgress Source #

Arguments

:: (HasCallStack, MonadIO m, IsCrossFadeNode a) |
=> a | `node`: a cross-fading `GskRenderNode`
-> m Float | Returns: the progress value, between 0 and 1

Retrieves the progress value of the cross fade.

## getStartChild

crossFadeNodeGetStartChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsCrossFadeNode a) |
=> a | `node`: a cross-fading `GskRenderNode`
-> m RenderNode | Returns: a `GskRenderNode`

Retrieves the child `GskRenderNode` at the beginning of the cross-fade.

## new

crossFadeNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a, IsRenderNode b) |
=> a | `start`: The start node to be drawn
-> b | `end`: The node to be cross_fadeed onto the `start` node
-> Float | `progress`: How far the fade has progressed from start to end. The value will be clamped to the range [0 ... 1]
-> m CrossFadeNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will do a cross-fade between `start` and `end`.